package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.BaseExample;
import com.lightinit.hsdataportal.entity.RequirementFollow;
import com.lightinit.hsdataportal.entity.ResourceCatelog;
import com.lightinit.hsdataportal.model.*;

import java.util.List;

public interface IRequirementMicroappService {
    List<RequirementMicroappListModel> selectOpenList(RequirementMicroappSearchModel inputModel, BaseExample.Page pager);

    long selectOpenCount(RequirementMicroappSearchModel inputModel);

    RequirementMicroappViewModel queryView(long id);

    ResultState publish(RequirementMicroappPublishModel inputModel);

    ResultState follow(RequirementFollow model);

    ResultState receive(RequirementReceiveModel inputModel);

    List<ResourceCatelog> selectCatelog();
}
